DotNetNuke Upgrade Error

The Assembly Version ( [ASSEMBLYVERSION] ) does not match the Database Version ( [DATABASEVERSION] )

ERROR: Could not connect to database.

Cannot open database "CN006-CENTURYF-M1" requested by the login. The login failed. Login failed for user 'CN006-CENTURYF-dbo'.